Skip to content
CARP Docs
Ask AISystemLightDark

Query participant accounts

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor
POST
/api/studies/{study-id}/participants/accounts

Returns a paged participant-centered view for a study. Supports search by participant ID or account identity, sorting, and filtering by deployment state.

bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

study-id*string
application/json
  1. body
page?|
Formatint32
Range0 <= value
size?|
Formatint32
Range1 <= value
search?string|null
sortDirection?|
Value in"asc""desc"
sortBy?|
Value in"accountIdentity""isDeployed"
deployed?boolean

Response body

OK

*/*
  1. response
page?|
Formatint32
size?|
Formatint32
total?integer
Formatint32
content?array<>
Example request
curl -X POST 'https://dev.carp.dk/api/studies/string/participants/accounts' \  -H 'Content-Type: application/json' \  -d '{}'
Example response
{  "page": 0,  "size": 0,  "total": 0,  "content": [    {      "participantId": "string",      "firstName": "string",      "lastName": "string",      "accountIdentity": "string",      "invitedOn": {        "epochSeconds": 0,        "nanosecondsOfSecond": 0      },      "carpUser": true,      "deployed": true    }  ]}

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture